Compare commits

...

No commits in common. "c9s" and "c8s" have entirely different histories.
c9s ... c8s

8 changed files with 37 additions and 140 deletions

16
.gitignore vendored
View File

@ -1,16 +1,2 @@
/os-prober_1.46.tar.gz
/os-prober_1.47.tar.gz
/os-prober_1.48.tar.gz
/os-prober_1.51.tar.gz
/os-prober_1.52.tar.gz
/os-prober_1.53.tar.gz
/os-prober_1.55.tar.gz
/os-prober_1.56.tar.gz
/os-prober_1.57.tar.gz
/os-prober_1.58.tar.gz
/os-prober_1.65.tar.xz
/os-prober_1.68.tar.xz
/os-prober_1.70.tar.xz
/os-prober_1.71.tar.xz
SOURCES/os-prober_1.74.tar.xz
/os-prober_1.74.tar.xz
/os-prober_1.77.tar.xz

View File

@ -1,6 +1,6 @@
--- !Policy
product_versions:
- rhel-9
- rhel-8
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.rpminspect.static-analysis}
- !PassingTestCaseRule {test_case_name: manual.sst_desktop.os-prober.functional}

View File

@ -1,35 +0,0 @@
diff --git a/os-probes/mounted/common/90linux-distro b/os-probes/mounted/common/90linux-distro
index 9bc5154..541079e 100755
--- a/os-probes/mounted/common/90linux-distro
+++ b/os-probes/mounted/common/90linux-distro
@@ -19,7 +19,7 @@ subvol="$5"
# symlinks we need to also check in $dir/usr/lib* for distributions that
# moved /lib* to /usr and only left symlinks behind.
# TODO: look for ld-linux.so on arches that have it
-if (ls "$dir"/lib*/ld*.so* && [ -d "$dir/boot" ] || ls "$dir"/usr/lib*/ld*.so*) >/dev/null 2>/dev/null; then
+#if (ls "$dir"/lib*/ld*.so* && [ -d "$dir/boot" ] || ls "$dir"/usr/lib*/ld*.so*) >/dev/null 2>/dev/null; then
if [ -e "$dir/etc/os-release" ]; then
short="$(grep ^NAME= "$dir/etc/os-release" | sed 's/^[^=]*=//; s/^['\''"]\(.*\)['\''"]$/\1/; s/\\\(.\)/\1/g; s/[[:space:]].*//')"
long="$(grep ^PRETTY_NAME= "$dir/etc/os-release" | sed 's/^[^=]*=//; s/^['\''"]\(.*\)['\''"]$/\1/; s/\\\(.\)/\1/g')"
@@ -140,8 +140,9 @@ if (ls "$dir"/lib*/ld*.so* && [ -d "$dir/boot" ] || ls "$dir"/usr/lib*/ld*.so*)
short="Devuan"
long="$(printf "Devuan GNU/Linux (%s)\n" "$(cat "$dir/etc/devuan_version")")"
else
- short="Linux"
- long="unknown Linux distribution"
+ exit 1
+# short="Linux"
+# long="unknown Linux distribution"
fi
label="$(count_next_label "$short")"
@@ -151,6 +152,6 @@ if (ls "$dir"/lib*/ld*.so* && [ -d "$dir/boot" ] || ls "$dir"/usr/lib*/ld*.so*)
result "$partition:$long:$label:linux"
fi
exit 0
-else
- exit 1
-fi
+#else
+# exit 1
+#fi

View File

@ -1,27 +0,0 @@
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Leo Sandoval <lsandova@redhat.com>
Date: Thu, 13 Jun 2024 17:05:44 -0600
Subject: [PATCH] 50mounted-tests: trap do_unmount function on errors
Traps the do_unmount function on error, unmounting any previous
partition in case of error and not letting the partition to be included
as boot entry when called on behalf of grub2-mkconfig.
Signed-off-by: Leo Sandoval <lsandova@redhat.com>
---
linux-boot-probes/common/50mounted-tests | 2 ++
1 file changed, 2 insertions(+)
diff --git a/linux-boot-probes/common/50mounted-tests b/linux-boot-probes/common/50mounted-tests
index ad68874..63b2174 100755
--- a/linux-boot-probes/common/50mounted-tests
+++ b/linux-boot-probes/common/50mounted-tests
@@ -13,6 +13,8 @@ do_unmount() {
rmdir "$tmpmnt" || true
}
+trap do_unmount ERR
+
partition="$1"
types="$(fs_type "$partition")"

View File

@ -1,8 +1,9 @@
Name: os-prober
Version: 1.77
Release: 12%{?dist}
Version: 1.74
Release: 10%{?dist}
Summary: Probes disks on the system for installed operating systems
Group: System Environment/Base
# For more information about licensing, see copyright file.
License: GPLv2+ and GPL+
URL: http://kitenet.net/~joey/code/os-prober/
@ -20,16 +21,13 @@ Patch7: os-prober-umount-fix.patch
Patch8: os-prober-grub2-parsefix.patch
Patch9: os-prober-grepfix.patch
Patch10: os-prober-gentoo-fix.patch
Patch11: os-prober-grub2-mount-workaround.patch
Patch12: os-prober-90fallback-include-possible-kernel-parameters-from-g.patch
Patch13: os-prober-common.sh-do-not-resolve-symbolic-link-on-mapped-dev.patch
Patch14: os-prober-trap_unmount.patch
Patch11: os-prober-90fallback-include-possible-kernel-parameters-from-g.patch
Patch12: os-prober-common.sh-do-not-resolve-symbolic-link-on-mapped-dev.patch
Requires: udev coreutils util-linux
Requires: grep /bin/sed /sbin/modprobe
Requires: grub2-tools-minimal
Requires: device-mapper
BuildRequires: make
BuildRequires: gcc git
%description
@ -38,17 +36,14 @@ in a generic machine-readable format. Support for new OSes and Linux
distributions can be added easily.
%prep
%autosetup -n %{name}-%{version} -S git
%autosetup -n %{name} -S git
find -type f -exec sed -i -e 's|usr/lib|usr/libexec|g' {} \;
sed -i -e 's|grub-probe|grub2-probe|g' os-probes/common/50mounted-tests \
linux-boot-probes/common/50mounted-tests
sed -i -e 's|grub-mount|grub2-mount|g' os-probes/common/50mounted-tests \
linux-boot-probes/common/50mounted-tests common.sh
%build
%set_build_flags
%make_build LDFLAGS="$LDFLAGS -fPIC" CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS"
%make_build CFLAGS="%{optflags}" LDFLAGS="%{build_ldflags}"
%install
install -m 0755 -d %{buildroot}%{_bindir}
@ -93,52 +88,23 @@ fi
%{_var}/lib/%{name}
%changelog
* Mon Sep 9 2024 Leo Sandoval <lsandova@redhat.com> - 1.77.12
- 50mounted-tests: trap do_unmount function on errors
- Resolves: RHEL-41244
* Mon Aug 19 2024 Leo Sandoval <lsandova@redhat.com> - 1.77-11
* Mon Sep 2 2024 Leo Sandoval <lsandova@redhat.com> - 1.74-10
- 90fallback: include possible kernel parameters from grub's default file
- common.sh: do not resolve symbolic link on mapped device filesystems
- Resolves: #RHEL-44705
- Resolves: #RHEL-55234
* Mon Feb 27 2023 Robbie Harwood <rharwood@redhat.com> - 1.77-10
- Fix inheritance of environment build flags
- Resolves: #2144572
* Tue Jun 22 2021 Javier Martinez Canillas <javierm@redhat.com> - 1.74-9
- Another build but with a gating.yaml to allow leaving gating
Resolves: rhbz#1624158
* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 1.77-9
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
Related: rhbz#1991688
* Mon Jun 21 2021 Javier Martinez Canillas <javierm@redhat.com> - 1.74-8
- Bump NVR to allow building
Resolves: rhbz#1624158
* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com> - 1.77-8
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.77-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
* Sat Oct 10 2020 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.77-6
- Workaround for grub2-mount slow wildcard file matching, fixes #1770599
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.77-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.77-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.77-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Tue May 14 2019 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.77-2
- Use distro LDFLAGS when building the package, fixes #1543863
* Tue May 14 2019 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.77-1
- Update to 1.77, use grub2-mount rather than device mapper for mounts, fixes #1447156
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.74-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.74-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Thu Jul 25 2019 Peter Jones <pjones@redhat.com> - 1.74-7
- Make gcc use -Wl,-z,now -Wl,-z,relro -pie. Dunno why the default didn't
pick this up.
Resolves: rhbz#1624158
* Sun Feb 18 2018 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.74-6
- Add gcc build dependency

View File

@ -1,6 +0,0 @@
such inspections is such "javabytecode" is "off".
"changedfiles" is "off",
"filesize" is "off"?
"patches" is "off"!
"upstream" is off",
"annocheck" is "off" wow wow

13
rpminspect.yaml Normal file
View File

@ -0,0 +1,13 @@
---
inspections:
# Not a Java package
javabytecode: off
# These just flag when things change "too much"
changedfiles: off
filesize: off
patches: off
upstream: off
# https://bugzilla.redhat.com/show_bug.cgi?id=2010936
annocheck: off

View File

@ -1 +1 @@
SHA512 (os-prober_1.77.tar.xz) = 4d9c22ccc4d950644a06a17ec4424aca5ff82aeb20052dc389dd451b6b9a1799c5a9438644a29093153730af42066abbbbb78f593f2564314c9adbd43f60e39b
SHA512 (os-prober_1.74.tar.xz) = 5407fb3c782ae0532120995d60cfc307028de9bea52ce5534baaf940a99269b735c1174ef0f7a5316be485a1e8bfd097108c2819eadf00e2e38595bfc2c22245